Bug 678243 - Dynamic Document Root doesn't work
Summary: Dynamic Document Root doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cherokee
Version: 14
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Pavel Lisý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-17 09:36 UTC by Renich Bon Ciric
Modified: 2011-10-01 01:32 UTC (History)
1 user (show)

See Also:
Fixed In Version: cherokee-1.2.99-2.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-02 01:48:12 UTC


Attachments (Terms of Use)

Description Renich Bon Ciric 2011-02-17 09:36:40 UTC
Description of problem:
when using a dynamic document root, PHP's DOCUMENT_ROOT always points to the default one.

Version-Release number of selected component (if applicable):


How reproducible:
1.0.4-1

Steps to Reproduce:
1. Configure your PHP handler with the wizard
2. Add a default document root
3. Configure DynamicDocumentRoot to something like
  /var/www/websites/${subdomain1}/public
4. Add a wildcard to host match
  *.mydomain.local
5. Add the proper entries to /etc/hosts
6. Try out some index.php containing <?php phpinfo(); ?> on various dirs:
  /var/www/websites/default/public
  /var/www/websites/test/public
7. Observe the output (bottom); all the _SERVER vars.

Actual results:
The document root remains that of the default one.

Expected results:
The dynDocRoot should replace the _SERVER['DOCUMENT_ROOT'] in all cases.

Additional info:
This bug has been fixed:
http://code.google.com/p/cherokee/issues/detail?id=993

Comment 1 Fedora Update System 2011-02-25 15:30:41 UTC
cherokee-1.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.fc15

Comment 2 Fedora Update System 2011-02-25 15:31:37 UTC
cherokee-1.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.fc14

Comment 3 Fedora Update System 2011-02-25 15:33:36 UTC
cherokee-1.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el6

Comment 4 Fedora Update System 2011-02-25 15:34:37 UTC
cherokee-1.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el5

Comment 5 Fedora Update System 2011-02-25 15:35:38 UTC
cherokee-1.2.1-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el4

Comment 6 Fedora Update System 2011-02-25 23:16:43 UTC
cherokee-1.2.1-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.fc15

Comment 7 Fedora Update System 2011-03-02 01:47:54 UTC
cherokee-1.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-03-03 02:57:40 UTC
cherokee-1.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-14 17:25:23 UTC
cherokee-1.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-03-14 17:26:39 UTC
cherokee-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-14 17:27:47 UTC
cherokee-1.2.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-09-13 10:16:23 UTC
cherokee-1.2.99-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.el5

Comment 13 Fedora Update System 2011-09-14 10:10:26 UTC
cherokee-1.2.99-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-2.el4

Comment 14 Fedora Update System 2011-09-29 03:24:30 UTC
cherokee-1.2.99-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-10-01 01:31:26 UTC
cherokee-1.2.99-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.